| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TopicDescription Class Referenceabstract
eProsima Fast DDS API Reference » DDS Public API

Class TopicDescription, represents the fact that both publications and subscriptions are tied to a single data-type. More...

`#include <TopicDescription.hpp>`

Inheritance diagram for TopicDescription:
[legend]

## Public Member Functions

virtual DomainParticipant * | get_participant () const =0
| Get the DomainParticipant to which the TopicDescription belongs.
const std::string & | get_name () const
| Get the name used to create this TopicDescription.
const std::string & | get_type_name () const
| Get the associated type name.
virtual TopicDescriptionImpl * | get_impl () const =0

## Protected Member Functions

| TopicDescription (const std::string &name, const std::string &type_name)
virtual | ~TopicDescription ()

## Protected Attributes

std::string | name_
| Name that allows the TopicDescription to be retrieved locally.
std::string | type_name_
| Name that defines a unique resulting type for the publication or the subscription.

## Detailed Description

Class TopicDescription, represents the fact that both publications and subscriptions are tied to a single data-type.

## Constructor & Destructor Documentation

## ◆ TopicDescription()

TopicDescription | ( | const std::string & | name,
|  | const std::string & | type_name )

inline protected

## ◆ ~TopicDescription()

virtual ~TopicDescription | ( |  | ) |

inline protected virtual

## Member Function Documentation

## ◆ get_impl()

virtual TopicDescriptionImpl * get_impl | ( |  | ) | const

pure virtual

Implemented in ContentFilteredTopic, and Topic.

## ◆ get_name()

const std::string & get_name | ( |  | ) | const

inline

Get the name used to create this TopicDescription.

Returns
  the name used to create this TopicDescription.

## ◆ get_participant()

virtual DomainParticipant * get_participant | ( |  | ) | const

pure virtual

Get the DomainParticipant to which the TopicDescription belongs.

Returns
  The DomainParticipant to which the TopicDescription belongs.

Implemented in ContentFilteredTopic, and Topic.

## ◆ get_type_name()

const std::string & get_type_name | ( |  | ) | const

inline

Get the associated type name.

Returns
  the type name.

## Member Data Documentation

## ◆ name_

std::string name_

protected

Name that allows the TopicDescription to be retrieved locally.

## ◆ type_name_

std::string type_name_

protected

Name that defines a unique resulting type for the publication or the subscription.

The documentation for this class was generated from the following file:

- include/fastdds/dds/topic/TopicDescription.hpp